curl --request GET \
--url https://int-api.mx.com/ach_returns/{ach_return_guid} \
--header 'Authorization: Basic <encoded-value>'{
"ach_return": {
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_number_last_four": "1234",
"account_type": "CHECKING",
"ach_initiated_at": "2025-02-13T18:08:00+00:00",
"client_guid": "CLT-abcd-1234",
"corrected_account_number": null,
"corrected_routing_number": null,
"created_at": "2025-02-13T18:08:00+00:00",
"guid": "ACH-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "client_ach_return_id_1234",
"institution_guid": "INS-34r4f44b-cfge-0f6e-3484-21f47e45tfv7",
"investigation_notes": null,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"processing_errors": null,
"resolution_code": null,
"resolution_detail": null,
"resolved_status_at": null,
"return_code": "R01",
"return_notes": null,
"return_account_number": null,
"return_routing_number": null,
"return_status": "SUBMITTED",
"returned_at": "2025-02-13T18:09:00+00:00",
"sec_code": "PPD",
"started_processing_at": null,
"submitted_at": null,
"transaction_amount": 225.84,
"updated_at": "null",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}Read ACH Return
curl --request GET \
--url https://int-api.mx.com/ach_returns/{ach_return_guid} \
--header 'Authorization: Basic <encoded-value>'{
"ach_return": {
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_number_last_four": "1234",
"account_type": "CHECKING",
"ach_initiated_at": "2025-02-13T18:08:00+00:00",
"client_guid": "CLT-abcd-1234",
"corrected_account_number": null,
"corrected_routing_number": null,
"created_at": "2025-02-13T18:08:00+00:00",
"guid": "ACH-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "client_ach_return_id_1234",
"institution_guid": "INS-34r4f44b-cfge-0f6e-3484-21f47e45tfv7",
"investigation_notes": null,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"processing_errors": null,
"resolution_code": null,
"resolution_detail": null,
"resolved_status_at": null,
"return_code": "R01",
"return_notes": null,
"return_account_number": null,
"return_routing_number": null,
"return_status": "SUBMITTED",
"returned_at": "2025-02-13T18:09:00+00:00",
"sec_code": "PPD",
"started_processing_at": null,
"submitted_at": null,
"transaction_amount": 225.84,
"updated_at": "null",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}guid or id.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Path Parameters
The unique identifier (guid) for the ACH return. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The last 4 digits of the account number used for the transaction by the Originating Depository Financial Institution (ODFI).
"1234"
The type of account. Some account types may include subtypes.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY "CHECKING"
The date and time when the transaction was initiated by the Originating Depository Financial Institution (ODFI) in ISO 8601 format without timestamp.
"2025-02-13T18:08:00+00:00"
The unique identifier for the client associated with the insight. Defined by MX.
"CLT-abcd-1234"
The account number correction reported by the RDFI. Populate only if the resolution_code is NOTICE_OF_CHANGE.
null
The routing number correction reported by the RDFI. Populated only if the resolution_code is NOTICE_OF_CHANGE. Must be a valid 9-digit routing number format.
null
The date and time the ACH return was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The unique identifier for the ACH return record. Defined by MX.
"ACH-d74cb14f-fd0a-449f-991b-e0362a63d9c6"
Client-defined identifier for this specific return submission. Allows you to track and reference your requests.
"client_ach_return_id_1234"
The unique identifier for an institution. Defined by MX.
"INS-34r4f44b-cfge-0f6e-3484-21f47e45tfv7"
Notes added by Product Support during investigation of the ACH return.
null
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
Any errors that occurred during processing.
null
A short, machine-readable code that categorizes the type of resolution or reason for the status. See Resolution Codes for a complete list.
null
A more detailed, human-readable message providing context and next steps related to the return_status and resolution_code.
null
Date and time when the return was marked as resolved.
null
The associated ACH return codes and notice of change codes (for example, R02, R03, R04, R05, R20, NOC). See Return Codes for a complete list
"R01"
Notes that you set to inform MX on internal ACH processing.
null
Incorrect account number used in the ACH transaction.
null
Incorrect routing number used in the ACH transaction.
null
The current processing status of the ACH return. See Return Status for a complete list of statuses.
"SUBMITTED"
The date and time when the return was reported by the Receiving Financial Depository Institution (RDFI) in ISO 8601 format without timestamp.
"2025-02-13T18:09:00+00:00"
Date and time when MX started processing the return.
null
Date and time when the record was submitted through the API.
null
The amount of the transaction.
225.84
Date and time when the ACH return record was last updated.
null
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

